org.eclipse.emf.cdo.spi.server

## Interface InternalView

- All Superinterfaces:
    CDOBranchPoint, CDOBranchProvider, CDOCommonView, CDOLockOwner, CDORevisionProvider, CDOTimeProvider, Closeable, IAdaptable, IDeactivateable, ILifecycle, INotifier, IOptionsContainer, IPropertiesContainer, IView
  All Known Subinterfaces:
    InternalTransaction

      public interface InternalView
      extends IView, ILifecycle

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView

      `CDOCommonView.Options`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeTarget(CDOBranchPoint branchPoint, java.util.List<CDOID> invalidObjects, java.util.List<CDORevisionDelta> allChangedObjects, java.util.List<CDOID> allDetachedObjects)`
    `void` | `clearChangeSubscription()`
    `void` | `closeUnit(CDOID rootID)`
    `void` | `doClose()`
    `InternalRepository` | `getRepository()`
    `InternalSession` | `getSession()`
    `boolean` | `hasSubscription(CDOID id)`
    `boolean` | `isInOpenUnit(CDOID id)`
    `boolean` | `openUnit(CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, CDORevisionHandler revisionHandler, OMMonitor monitor)`
    `void` | `setBranchPoint(CDOBranchPoint branchPoint)`
    `void` | `setDurableLockingID(java.lang.String durableLockingID)`
    `void` | `subscribe(CDOID id)`
    `void` | `unsubscribe(CDOID id)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView

      `getDurableLockingID, getViewID, isHistorical, isReadOnly, options`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockOwner

      `getSessionID, isDurableView`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

    - ### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

      `properties`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `activate, deactivate, getLifecycleState, isActive`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getSession

          InternalSession getSession()

      Specified by:
        `getSession` in interface `CDOCommonView`
      Specified by:
        `getSession` in interface `IView`

    - #### getRepository

          InternalRepository getRepository()

      Specified by:
        `getRepository` in interface `IView`

    - #### setBranchPoint

          void setBranchPoint(CDOBranchPoint branchPoint)

    - #### setDurableLockingID

          void setDurableLockingID(java.lang.String durableLockingID)

      Since:
        4.0

    - #### changeTarget

          void changeTarget(CDOBranchPoint branchPoint,
                            java.util.List<CDOID> invalidObjects,
                            java.util.List<CDORevisionDelta> allChangedObjects,
                            java.util.List<CDOID> allDetachedObjects)

      Since:
        4.0

    - #### subscribe

          void subscribe(CDOID id)

    - #### unsubscribe

          void unsubscribe(CDOID id)

    - #### hasSubscription

          boolean hasSubscription(CDOID id)

    - #### clearChangeSubscription

          void clearChangeSubscription()

    - #### doClose

          void doClose()

    - #### openUnit

          boolean openUnit(CDOID rootID,
                           CDOProtocolConstants.UnitOpcode opcode,
                           CDORevisionHandler revisionHandler,
                           OMMonitor monitor)

      Since:
        4.5

    - #### closeUnit

          void closeUnit(CDOID rootID)

      Since:
        4.5

    - #### isInOpenUnit

          boolean isInOpenUnit(CDOID id)

      Since:
        4.5

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html